Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members

# SoPathSensor Class Reference
[Sensor classes]

The SoPathSensor class detects changes to paths. More...

`#include <Inventor/sensors/SoPathSensor.h>`

Inheritance diagram for SoPathSensor:

List of all members.

## Public Types
enum | TriggerFilter
## Public Methods
| SoPathSensor (void)
| SoPathSensor (SoSensorCB *func, void *data)
virtual | ~SoPathSensor (void)
void | setTriggerFilter (const TriggerFilter type)
TriggerFilter | getTriggerFilter (void) const
void | attach (SoPath *path)
void | detach (void)
SoPath * | getAttachedPath (void) const
## Protected Methods
virtual void | notify (SoNotList *l)

## Detailed Description

The SoPathSensor class detects changes to paths.

If you need to know when a path changes (i.e. nodes in the path has been removed, or new nodes is added), use this sensor to get a notification.

You can also use this sensor to detect when some node in the path is changed.

## Member Enumeration Documentation

enum SoPathSensor::TriggerFilter

| Trigger filter, which decides if the sensor should trigger on path changes, changes on nodes in the path, or both.

## Constructor & Destructor Documentation

SoPathSensor::SoPathSensor | ( | void |  | ) |

| Default constructor. Use setFunction() to set up a callback function later.

SoPathSensor::SoPathSensor | ( | SoSensorCB * | func,
|  | void * | data
| ) |

| Constructor taking as parameters the sensor callback function and the userdata which will be passed the callback. See also: setFunction(), setData()

SoPathSensor::~SoPathSensor | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

void SoPathSensor::setTriggerFilter | ( | const TriggerFilter | filter | ) |

| Set the TriggerFilter for this sensor. The default is PATH_AND_NODES. Since: Coin 2.0

SoPathSensor::TriggerFilter SoPathSensor::getTriggerFilter | ( | void |  | ) | const

| Return the TriggerFilter for this sensor. Since: Coin 2.0

void SoPathSensor::attach | ( | SoPath * | path | ) |

| Attach sensor to a path. Whenever the path changes, the sensor will be triggered and call the callback function. See also: detach()

void SoPathSensor::detach | ( | void |  | ) |

| Detach sensor from path. As long as an SoPathSensor is detached, it will never invoke its callback function. See also: attach()

SoPath * SoPathSensor::getAttachedPath | ( | void |  | ) | const

| Returns a pointer to the path connected to the sensor. See also: attach(), detach()

void SoPathSensor::notify | ( | SoNotList * | l | ) | `[protected, virtual]`

| Called from entity we are monitoring when it changes. If this is an immediate sensor, the field and node (if any) causing the change will be stored and can be fetched by getTriggerField() and getTriggerNode(). If the triggerpath flag has been set, the path down to the node is also found and stored for later retrieval by getTriggerPath(). See also: setTriggerPathFlag() Reimplemented from SoDataSensor.

The documentation for this class was generated from the following files:

- SoPathSensor.h
- SoPathSensor.cpp